Last Comment Bug 642194 - Add .asia to IDN TLD whitelist
: Add .asia to IDN TLD whitelist
Status: RESOLVED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-16 11:09 PDT by Gervase Markham [:gerv]
Modified: 2011-06-16 15:24 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.x-fixed
.18-fixed
.20-fixed


Attachments
Patch v.1 (954 bytes, patch)
2011-03-16 11:15 PDT, Gervase Markham [:gerv]
dveditz: approval2.0+
dveditz: approval1.9.2.18+
dveditz: approval1.9.1.20+
Details | Diff | Review

Description Gervase Markham [:gerv] 2011-03-16 11:09:43 PDT
Edmon Chung writes: 

Hi Gervase,

As .ASIA prepares for our IDN launch, we have published our draft IDN Language Policies at: http://www.idn.asia/main/2011/03/asia-cjk-chinese-japanese-korean-idn-policies.html.  They should be finalized shortly and posted on our set of completed policies.

Wanted to see how we can work on having .ASIA on the whitelist.

Edmon
Comment 1 Gervase Markham [:gerv] 2011-03-16 11:11:01 PDT
They are using the JET guidelines which deal with anti-spoofing for Chinese/Japanese/Korean characters, so that's OK.

Gerv
Comment 2 Gervase Markham [:gerv] 2011-03-16 11:15:02 PDT
Created attachment 519712 [details] [diff] [review]
Patch v.1
Comment 3 Jothan Frakes 2011-03-22 11:09:09 PDT
I spoke face to face with Edmon at the ICANN meeting in San Francisco last week.  They are working with the JET guidelines as Gerv mentions, and additionally their registry service provider, Afilias, is working tightly with the Anti-Phishing working groups to ensure good hygiene happens in this implementation of IDN.

FWIW I see their effort as totally aligned with (and perhaps stronger than many of) those TLDs that are currently whitelisted.  Not sure if I count as a +1 here but...

+1
Comment 4 Gervase Markham [:gerv] 2011-05-23 12:48:48 PDT
http://hg.mozilla.org/mozilla-central/rev/52add75e45f8

Gerv
Comment 5 Daniel Veditz [:dveditz] 2011-06-01 10:31:17 PDT
Comment on attachment 519712 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.18 and 1.9.1.20, a=dveditz for release-drivers
Approved for the mozilla2.0 repository, a=dveditz for release-drivers
Comment 7 Al Billings [:abillings] 2011-06-16 15:24:04 PDT
Verified for 1.9.2.18 in source.

Note You need to log in before you can comment on or make changes to this bug.